Bug 140004 - Profiling of NB module does not work if NB installation dir contains space
Profiling of NB module does not work if NB installation dir contains space
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
Macintosh All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
: SPACE_IN_PATH
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-15 09:07 UTC by Tomasz Slota
Modified: 2009-01-15 13:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomasz Slota 2008-07-15 09:07:50 UTC
When trying to profile NB module with NB 6.1 build fails with a message:

Extra JVM arguments:  -J-XX:+HeapDumpOnOutOfMemoryError -J-
XX:HeapDumpPath=/Users/tomslot/SUN/src/main/php.editor/nbproject/private/profiler 
tryme-setup-debug-args:
tryme:
Error occurred during initialization of VM
Could not find agent library in absolute path: /Applications/NetBeans/NetBeans
netbeans/bin/../platform8/lib/nbexec: line 467:   486 Abort trap              "/Library/Java/Home/bin/java" -Djdk.home="/Library/Java/Home" -classpath 
"/Users/tomslot/SUN/src/main/nbbuild/netbeans/platform8/lib/boot.jar:/Users/tomslot/SUN/src/main/nbbuild/netbeans/platform8/lib/org-openide-
modules.jar:/Users/tomslot/SUN/src/main/nbbuild/netbeans/platform8/lib/org-openide-util.jar:/Library/Java/Home/lib/dt.jar" -
Dnetbeans.system_http_proxy="DIRECT" -Dnetbeans.system_http_non_proxy_hosts="" -
Dnetbeans.dirs="/Users/tomslot/SUN/src/main/nbbuild/netbeans/nb6.1:/Users/tomslot/SUN/src/main/nbbuild/netbeans/ide9:/Users/tomslot/SUN/src/
main/nbbuild/netbeans/webcommon1:/Users/tomslot/SUN/src/main/nbbuild/netbeans/websvccommon1:/Users/tomslot/SUN/src/main/nbbuild/netbean
s/gsf1:/Users/tomslot/SUN/src/main/nbbuild/netbeans/php1:/Users/tomslot/SUN/src/main/nbbuild/netbeans/harness:" -
Dnetbeans.home="/Users/tomslot/SUN/src/main/nbbuild/netbeans/platform8" '-Dcom.apple.mrj.application.apple.menu.about.name=NetBeans' '-
Xdock:name=NetBeans' '-Xdock:icon=netbeans/bin/../nb6.1/netbeans.icns' '-Dnetbeans.importclass=org.netbeans.upgrade.AutoUpgrade' '-
Dnetbeans.accept_license_class=org.netbeans.license.AcceptLicense' '-Xmx512m' '-client' '-Xss2m' '-Xms32m' '-XX:PermSize=32m' '-
XX:MaxPermSize=200m' '-Dnetbeans.logger.console=true' '-ea' '-Dapple.laf.useScreenMenuBar=true' '-Dsun.java2d.noddraw=true' '-
agentpath:/Applications/NetBeans/NetBeans' org.netbeans.Main --userdir "/Users/tomslot/SUN/src/main/nbbuild/testuserdir" "--branding" "nb" 
"6.1.app/Contents/Resources/NetBeans/profiler3/lib/deployed/jdk15/mac/libprofilerinterface.jnilib=/Applications/NetBeans/NetBeans" 
"6.1.app/Contents/Resources/NetBeans/profiler3/lib,5140,10"
/Users/tomslot/SUN/src/main/nbbuild/templates/projectized.xml:273: The following error occurred while executing this line:
/Users/tomslot/SUN/src/main/nbbuild/build.xml:1278: The following error occurred while executing this line:
/Users/tomslot/SUN/src/main/nbbuild/build.xml:1300: exec returned: 134
BUILD FAILED (total time: 7 seconds)

It works fine if NB is installed in a directory that does not contain spaces.

I am setting priority to P1 because it is not possible to start Profiler using the default Mac installation and the workaround is not obvious.
Comment 1 Tomas Hurka 2008-07-15 09:38:45 UTC
This is not P1. 
1) There is easy workaround.
2) it does not work work only for netbeans modules. 
Comment 2 Tomas Hurka 2008-08-18 14:09:18 UTC
Fixed.
changeset:   96543:758a260d0154
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Aug 18 13:32:38 2008 +0200
summary:     bugfix #140004, create temporary link in /tmp directory and use it instead of directory with space

Comment 3 Quality Engineering 2008-08-19 17:19:55 UTC
Integrated into 'main-golden', available in build *200808191401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/758a260d0154
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #140004, create temporary link in /tmp directory and use it instead of directory with space
Comment 4 Rashid Urusov 2009-01-15 13:56:03 UTC
VERIFIED in Build 200901140201


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo